http://appsync.{region}.amazonaws.com/v1/apis/{apiId}/datasourcesCreates a <code>DataSource</code> object.
The API ID for the GraphQL API for the <code>DataSource</code>.
A user-supplied name for the <code>DataSource</code>.
The type of the <code>DataSource</code>.
Describes an HTTP data source configuration.
A description of the <code>DataSource</code>.
Describes an Lambda data source configuration.
Describes an Amazon DynamoDB data source configuration.
The Identity and Access Management (IAM) service role Amazon Resource Name (ARN) for the data source. The system assumes this role when accessing the data source.
Describes an Amazon EventBridge bus data source configuration.
<p>Describes an OpenSearch data source configuration.</p> <p>As of September 2021, Amazon Elasticsearch service is Amazon OpenSearch Service. This configuration is deprecated. For new data sources, use <a>OpenSearchServiceDataSourceConfig</a> to specify an OpenSearch data source.</p>
Describes an OpenSearch data source configuration.
Describes a relational database data source configuration.
{
"success": true,
"data": {
"id": "abc123",
"created_at": "2025-01-01T00:00:00Z"
}
}{
"success": false,
"error": {
"code": "VALIDATION_ERROR",
"message": "Invalid request parameters"
}
}1curl --request POST \2 --url 'http://appsync.{region}.amazonaws.com/v1/apis/{apiId}/datasources' \3 --header 'accept: application/json' \4 --header 'content-type: application/json'1{2 "success": true,3 "data": {4 "id": "abc123",5 "created_at": "2025-01-01T00:00:00Z"6 }7}http://appsync.{region}.amazonaws.com/v1/apis/{apiId}/datasourcesCreates a <code>DataSource</code> object.
The API ID for the GraphQL API for the <code>DataSource</code>.
A user-supplied name for the <code>DataSource</code>.
The type of the <code>DataSource</code>.
Describes an HTTP data source configuration.
A description of the <code>DataSource</code>.
Describes an Lambda data source configuration.
Describes an Amazon DynamoDB data source configuration.
The Identity and Access Management (IAM) service role Amazon Resource Name (ARN) for the data source. The system assumes this role when accessing the data source.
Describes an Amazon EventBridge bus data source configuration.
<p>Describes an OpenSearch data source configuration.</p> <p>As of September 2021, Amazon Elasticsearch service is Amazon OpenSearch Service. This configuration is deprecated. For new data sources, use <a>OpenSearchServiceDataSourceConfig</a> to specify an OpenSearch data source.</p>
Describes an OpenSearch data source configuration.
Describes a relational database data source configuration.
{
"success": true,
"data": {
"id": "abc123",
"created_at": "2025-01-01T00:00:00Z"
}
}{
"success": false,
"error": {
"code": "VALIDATION_ERROR",
"message": "Invalid request parameters"
}
}1curl --request POST \2 --url 'http://appsync.{region}.amazonaws.com/v1/apis/{apiId}/datasources' \3 --header 'accept: application/json' \4 --header 'content-type: application/json'1{2 "success": true,3 "data": {4 "id": "abc123",5 "created_at": "2025-01-01T00:00:00Z"6 }7}